@import url(/public/template-8/src/general.css);

.wedding-day {
    position: relative;
    width: 562px;
    height: auto;
    background-color: var(--pink-bold-color);
    font-family: 'Alegreya';
    color: var(--primary-color);
}


.wedding-day .wrapper {
    margin: 64px 0;
    display: block;
    flex-direction: column;
    text-align: center;
}

.wedding-day .wrapper .subtitle {
    margin: 12px auto 0 auto;
    font-size: 20px;
    padding: 0 32px;
}

.wedding-day .date {
    margin-top: 64px;
    background-color: var(--bg-color);
    padding: 24px 32px;
    font-size: 30px;
    font-weight: 800;
    border-radius: 32px 12px 32px 12px;
    -webkit-border-radius: 33px 13px 32px 12px;
    display: inline-block;
}

.wedding-day .wrapper .details-wrapper {
    position: relative;
}

.wedding-day .wrapper .details-wrapper .details {
    margin-top: 64px;
    z-index: 2;
}

.wedding-day .wrapper .details-wrapper .details {
    position: relative;
}


.wedding-day .wrapper .details-wrapper .details .content {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    padding: 24px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 46px;
}

.wedding-day .content img {
    width: 128px;
}

.wedding-day .content p {
    font-size: 34px;
    font-weight: 900;
    text-transform: uppercase;
    letter-spacing: 9.18px;
}

.wedding-day .content .date-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
}



.wedding-day .content .date-content .items {
    display: flex;
    gap: 16px;
}

.wedding-day .content .date-content .items:nth-child(2) {
    align-items: start;
    justify-content: center;
}

.wedding-day .content .date-content .items img {
    width: 32px;
}

.wedding-day .content .date-content small {
    font-size: 24px;
    font-weight: 600;
}

.wedding-day .content .date-content .items:nth-child(2) small {
    width: 50%;
}




.wedding-day .wrapper .details-wrapper .orn {
    position: absolute;
    z-index: 1;
    width: 100%;
    bottom: 30px;
    display: flex;
    justify-content: space-between;
    padding: 0 16px;
    box-sizing: border-box;
}

.wedding-day .wrapper .details-wrapper .orn img {
    width: 30%;
}

.wedding-day .wrapper .details-wrapper .orn img:nth-child(2) {
    transform: scaleX(-1);
}

.wedding-day .orn-bg {
    position: absolute;
    top: 0;
    overflow: hidden;
    width: 100%;
}

.wedding-day .orn-bg .flowers-2 {
    position: relative;
    top: 90px;
    left: -48%;
    transform: scaleX(1) scale(0.7) rotate(20deg);
    opacity: .4;
}

.wedding-day .orn-bg .flowers-1 {
    position: relative;
    top: 0;
    right: -52%;
    transform: scaleX(1) scale(0.8) rotate(325deg);
    opacity: .4;
}

/* Info Wrapper */


/* Wave Pink Divider Transition */
.wave-top {
    position: absolute;
    bottom: 0;
    left: 0;
    top: -97px;
    width: 100%;
    overflow: hidden;
    height: 100%;

}

.wave-bottom {
    position: absolute;
    bottom: -90px;
    left: 0;
    width: 100%;
    overflow: hidden;
}

.wave-top svg {
    position: relative;
    display: block;
    width: calc(160% + 1.3px);
    height: 136px;
}

.wave-bottom svg {
    position: relative;
    display: block;
    width: calc(160% + 1.3px);
    transform: scaleY(-1);
    height: 100px;
}

.wave-top .shape-fill,
.wave-bottom .shape-fill {
    fill: var(--pink-bold-color);
}

/*  */
@media (max-width: 562px) {
    .wedding-day {
        width: 100%;
    }

    .wedding-day .wrapper {
        margin: 32px 0;
    }

    .wedding-day .wrapper .subtitle {
        font-size: 3vw;
    }

    .wedding-day .content p {
        font-size: 5vw;
    }

    .wedding-day .content .date-content small {
        font-size: 4vw;
    }

    .wedding-day .content .date-content .items img {
        width: 4vw;
    }


    .wedding-day .date {
        font-size: 6vw;
        padding: 2vw 4vw;
        border-radius: 16px 8px;
    }

    .details-wrapper .details .content img {
        width: 24vw;
    }

    .wedding-day .content .date-content .items,
    .wedding-day .content .date-content {
        gap: 3vw;
    }


    .details-wrapper .details .orn-border {
        width: 80%;
    }


    .wedding-day .wrapper .details-wrapper .details .content {
        gap: 6vw;
    }
}
